Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

List Work Order Time Logs GETCreate Work Order Time Log POSTUpdate All Work Order Time Logs PUTDelete Work Order Time Log DELETEUpdate Work Order Time Log PUT

Resources

ExecutionTime logs

List Work Order Time Logs


List all time logs recorded against the work order, including check-in/out and verification details.

GET
/api/rest/v2/workorders/{work_order_id}/time_logs

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

work_order_id*integer

Work Order ID

Query Parameters

acting_user_id?integer

ID of the user acting on behalf of another user

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/time_logs"
{
  "metadata": {
    "total": 100,
    "page": 1,
    "pages": 10,
    "per_page": 20
  },
  "results": [],
  "correlation_id": "string_value",
  "actions": [],
  "hours": 0
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

Last updated on

Update Work Order Tasks PUT

Previous Page

Create Work Order Time Log POST

Next Page

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/time_logs"